<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb.platform.runtime.core</groupId>
    <artifactId>core-support</artifactId>
    <version>1.9.0</version>
  </parent>
  <artifactId>core-support-runtime</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: PLATFORM :: CORE :: SUPPORT :: RUNTIME</name>
  <description>ENTAXY :: PLATFORM :: CORE :: SUPPORT :: RUNTIME</description>
  
  <properties>
	  <bundle.osgi.export.pkg>
		  ru.entaxy.platform.core.support.runtime*
	  </bundle.osgi.export.pkg>
	  <bundle.osgi.private.pkg>
		  ru.entaxy.platform.core.support.runtime.helper
	  </bundle.osgi.private.pkg>
	  <!-- bundle.osgi.import.pkg>
		  *,
		  ru.entaxy.esb.resources*,
		  !ru.entaxy.platform.core.support.runtime*
	  </bundle.osgi.import.pkg -->
  </properties>
  
  <dependencies>
	  <dependency>
		  <groupId>org.apache.commons</groupId>
		  <artifactId>commons-lang3</artifactId>
		  <version>${commons-lang3.version}</version>
	  </dependency>
	  <dependency>
		  <groupId>org.apache.cxf</groupId>
		  <artifactId>cxf-core</artifactId>
	  </dependency>
	  <dependency>
		  <groupId>ru.entaxy.esb.platform.runtime.base</groupId>
		  <artifactId>base-support</artifactId>
		  <version>${project.version}</version>
	  </dependency>
	  <dependency>
		  <groupId>org.apache.servicemix.bundles</groupId>
		  <artifactId>org.apache.servicemix.bundles.spring-aop</artifactId>
		  <version>${spring.bundles.version}</version>
	  </dependency>
	  <dependency>
		  <groupId>org.apache.servicemix.bundles</groupId>
		  <artifactId>org.apache.servicemix.bundles.spring-core</artifactId>
		  <version>${spring.bundles.version}</version>
	  </dependency>
	  <dependency>
		  <groupId>org.apache.servicemix.bundles</groupId>
		  <artifactId>org.apache.servicemix.bundles.spring-beans</artifactId>
		  <version>${spring.bundles.version}</version>
	  </dependency>	  
	  	<dependency>
	  		<groupId>org.osgi</groupId>
	  		<artifactId>org.osgi.service.component.annotations</artifactId>
	  	</dependency> 	  
	  	<dependency>
            <groupId>ru.entaxy.esb.platform.runtime.base.resources</groupId>
		  	<artifactId>resources-api</artifactId>
		  	<version>${project.version}</version>
	  	</dependency>
	  	<dependency>
            <groupId>ru.entaxy.esb.platform.runtime.base.resources</groupId>
		  	<artifactId>resources-service</artifactId>
		  	<version>${project.version}</version>
	  	</dependency>
	  	<dependency>
			<groupId>commons-io</groupId>
			<artifactId>commons-io</artifactId>
			<version>${commons-io.version}</version>	  
		</dependency>
		<dependency>
			<groupId>org.apache.camel</groupId>
			<artifactId>camel-api</artifactId>
		</dependency>
		<dependency>
			<groupId>org.osgi</groupId>
			<artifactId>osgi.core</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache.felix</groupId>
			<artifactId>org.apache.felix.configadmin</artifactId>
			<version>${felix.configadmin.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.camel</groupId>
			<artifactId>camel-util</artifactId>
		</dependency>		
		<dependency>
			<groupId>org.apache.camel</groupId>
			<artifactId>camel-support</artifactId>
		</dependency>		
	  	<dependency>
	  		<groupId>org.apache.aries.blueprint</groupId>
	  		<artifactId>org.apache.aries.blueprint.cm</artifactId>
	  	</dependency>		
  </dependencies>
  
</project>
